/* Styles généraux */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 20px;
    background-color: #c3eede;
    height: 95vh;
   
  }
  body.reserv{
    background-image: url("../css/img/K (3).svg");
    background-size: 80px;
    background-position: top;

    
  }
  .btn-retour {
    display: inline-block;
    padding: 10px 20px;
    background-color: rgb(152 236 211 / 90%);
    color: #1a502c;
    text-decoration: none;
    border-radius: 4px;
    transition: background-color 0.3s ease;
    font-weight: bold;
  }
  
  .btn-retour:hover {
    background-color: #175428;
    color: white;
  }
  
  h1 {
    text-align: center;
    margin-top: 2vh;
  }
  .heading 
{
  text-align: center;
  color: #0f6126f8;
  font-size:-webkit-xxx-large;
  font-weight: 70;
  
}
.success-message {
  background-color: #c5f3c3;
  color: #336600;
  padding: 10px;
  border: 1px solid #99cc66;
}
  form {
  max-width: 700px;
  margin: 0 auto;
  display: block;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #0f6126f8;
  background-color: #ffffffb0;
  background-clip: padding-box;
  border-radius: 0.25rem;
  margin-top: 10vh;
  display: flex;
  flex-direction: column;
 
  }
  
  label {
    font-weight: bold;
    margin-bottom: 0.5rem;
  }
  
  input,
  textarea,select {
    width: 30vw;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #0f6126f8;
    display: block;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;

  }
  
  input[type="submit"] {
    background-color: #345f36;
    color: #fff;
    cursor: pointer;
  }
  select#heure-select{
    border: 1px solid #345f36;
    font-size: 1rem;
    margin-bottom: 10px;
  }
  #heure-select:focus {
    background-color: rgb(152, 236, 211);
}
  
  /* Responsive */
  @media (max-width: 600px) {
    form {
      padding: 10px;
      font-size: 0.9rem;
    }
  
    input,
    textarea, select {
      font-size: 14px;
      width: auto;
    }
  }
  
  tr:nth-child(odd) {
    background-color: #f9f9f9;
  }
  .available-day {
    background-color: green !important;
    color: white;
  }

  

  /************************************form***********************************************/
  input[type=submit] 
{
  border: solid  1px  #0f6126f8;
  margin-bottom: 10px;
  float:none;
  padding: 15px;
  outline: none;
  border-radius: 7px;
  width: 120px;
  margin-block-start: 28px;
}
input[type=submit]:hover 
{
  border: solid  1px  #9cddaff8;
  margin-bottom: 10px;
  float:none;
  padding: 15px;
  outline: none;
  border-radius: 7px;
  width: 120px;
  margin-block-start: 28px;
  color: #040404;
  background-color: #9be2aff8;
}
label 
{
  display: inline-block;
  margin-bottom: 0.5rem;
}
textarea 
{
  overflow: auto;
  resize: vertical;
}
input[type="text"]:focus,
input[type="email"]:focus,
textarea:focus {
  background-color: #fff;
  transition: background-color 0.3s ease;
}
/******************************************admin********************************************/
/* Conteneur principal */
.container {
  max-width: 800px;
  margin: 0 auto;
  padding: 20px;
}

/* Messages de succès ou d'erreur */
.success-message {
  background-color: #dff0d8;
  color: #3c763d;
  padding: 10px;
  margin-bottom: 20px;
}

.error-message {
  background-color: #f2dede;
  color: #a94442;
  padding: 10px;
  margin-bottom: 20px;
}
